Phase-Field Fracture
====================

Input Class
-----------

.. automodule:: phasefieldx.Element.Phase_Field_Fracture.Input
   :members:
   :undoc-members:
   :show-inheritance:


$g(\phi)$ Degradation functions
-------------------------------

.. automodule:: phasefieldx.Element.g_degradation_functions
   :members:
   :undoc-members:
   :show-inheritance:


Energy Split
------------

.. automodule:: phasefieldx.Element.split_energy_stress_tangent_functions
   :members:
   :undoc-members:
   :show-inheritance:


$f(\bar{\alpha})$ Fatigue Degradation functions
-----------------------------------------------

.. automodule:: phasefieldx.Element.fatigue_degradation_functions
   :members:
   :undoc-members:
   :show-inheritance:


Solvers
-------

.. automodule:: phasefieldx.Element.Phase_Field_Fracture.solver.solver
   :members:
   :undoc-members:
   :show-inheritance:

.. automodule:: phasefieldx.Element.Phase_Field_Fracture.solver.solver_ener_variational
   :members:
   :undoc-members:
   :show-inheritance:

.. automodule:: phasefieldx.Element.Phase_Field_Fracture.solver.solver_ener_non_variational
   :members:
   :undoc-members:
   :show-inheritance: